> ## Documentation Index
> Fetch the complete documentation index at: https://docs.saleleads.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Recommendations

> Get User Recommendations



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/user/recommendations
openapi: 3.1.0
info:
  title: Linkedin Scraper API
  description: Linkedin Scraper API Documentation
  version: 1.0.0
servers:
  - url: https://fresh-linkedin-scraper-api.p.rapidapi.com
    description: RapiAPI
security: []
paths:
  /api/v1/user/recommendations:
    get:
      tags:
        - User Profile Data
      summary: Get User Recommendations
      description: Get User Recommendations
      operationId: getApiV1UserRecommendations
      parameters:
        - in: query
          name: urn
          schema:
            type: string
            description: User URN
            example: ACoAABCtiL8B26nfi3Nbpo_AM8ngg4LeClT1Wh8
        - in: query
          name: username
          schema:
            type: string
            description: >-
              Username. Enabling this option will consume an additional 1
              request.
            example: gabag26
        - in: query
          name: page
          schema:
            type: integer
            exclusiveMinimum: 0
            description: Page number for pagination
            default: 1
            example: 1
        - in: query
          name: type
          schema:
            type: string
            enum:
              - received
              - given
            description: Type of recommendation
            default: received
            example: received
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  cost:
                    type: number
                    description: Cost of the request
                    example: 1
                  total:
                    type: number
                    description: Total number of user recommendations
                    example: 12
                  has_more:
                    type: boolean
                    description: Whether there are more user recommendations to fetch
                    example: false
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        text:
                          type: string
                          description: Recommendation text
                          example: >-
                            Mathew has an amazing way of writing his e-book that
                            supports you on your linkedin journey...
                        date:
                          type: string
                          description: Recommendation date
                          example: August 19, 2024
                        type:
                          type: string
                          description: Recommendation type
                          example: Clifford was Mathew’s client
                        recommender:
                          type: object
                          properties:
                            url:
                              type: string
                              description: Recommender profile URL
                              example: https://www.linkedin.com/in/clifford-starks
                            urn:
                              type: string
                              description: Recommender URN
                              example: ACoAABC9Rp4Bq10Kev_ahodM0podCZqEErS5oUI
                            public_identifier:
                              type: string
                              description: Recommender public identifier
                              example: clifford-starks
                            first_name:
                              type: string
                              description: Recommender first name
                              example: Clifford
                            last_name:
                              type: string
                              description: Recommender last name
                              example: Starks
                            full_name:
                              type: string
                              description: Recommender full name
                              example: Clifford Starks
                            description:
                              type: string
                              description: Recommender description
                              example: >-
                                🔓Unlock Your Inner Warrior to Gain the Edge in
                                Your Business...
                            is_premium:
                              type: boolean
                              description: Is recommender premium user
                              example: true
                            avatar:
                              type: array
                              items:
                                type: object
                                properties:
                                  width:
                                    type: number
                                    description: Logo width
                                    example: 400
                                  height:
                                    type: number
                                    description: Logo height
                                    example: 400
                                  url:
                                    type: string
                                    description: Logo URL
                                    example: >-
                                      https://media.licdn.com/dms/image/v2/D4E0BAQHjelLY2a-Mnw/company-logo_400_400/company-logo_400_400/0/1666083635765?e=1748476800&v=beta&t=V_T_yXL6Bs2HDEY-iZAKSkNype7_-7USjP2HIXo0Zv8
                                  expires_at:
                                    type: number
                                    description: Logo expires at
                                    example: 1748476800000
                          description: Recommender information
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Bad request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: >-
                      Invalid API key. Go to https://docs.rapidapi.com/docs/keys
                      for more info.
        '403':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: You are not subscribed to this API.
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: 'Request failed with status 500: Internal Server Error'
                  status_code:
                    type: number
                    example: 500
                  cost:
                    type: number
                    example: 0
                  explain:
                    type: string
                    example: >-
                      Oops, it looks like there was an issue processing your
                      request. Don't worry, you won't be charged for this
                      request. If you need any help, don't hesitate to contact
                      us via email hello@saleleads.ai or telegram
                      https://t.me/saleleads
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key
      description: Rapid API Key

````